/*  GUBI - Gtk+ User Interface Builder
 *  Copyright (C) 1997	Tim Janik	<timj@psynet.net>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/
/* editor.h: widget data editor functions
 * RCS_ID("$Id: editor.h,v 1.7 1997/08/19 01:34:12 timj Exp $")
*/


#ifndef		__editor_h__
#define		__editor_h__

#ifdef		__cplusplus
  extern	"C"	{
#endif

#include	"gbuild.h"
#include	"windows.h"
#include	"wdtree.h"



/* --- prototypes --- */

/* the editor_create_window() function creates a widget editor for
 * widget_data. if the editor already exists, the editor window
 * will be raised.
 * the pointer widget_data is asserted to be non NULL.
*/
void	editor_create_window	(gb_wdat_base_S	*widget_data);


/* the editor_refresh_window() function refreshes the widget editor
 * of widget_data.
 * the pointer widget_data is asserted to be non NULL.
*/
void	editor_refresh_window	(gb_wdat_base_S	*widget_data);






#ifdef		__cplusplus
  }
#endif
#endif		/*__editor_h__*/
